Package: org.apache.groovy.swing.binding

## [Java] Class EventTriggerBinding

- org.apache.groovy.swing.binding.EventTriggerBinding

- All Implemented Interfaces and Traits:
    TriggerBinding

      public class EventTriggerBinding
      extends Object
      implements TriggerBinding

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EventTriggerBinding(Object triggerBean, String eventName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
    `` | `public String` | `getEventName()`
    `` | `public Object` | `getTriggerBean()`
    `` | `public void` | `setEventName(String eventName)`
    `` | `public void` | `setTriggerBean(Object triggerBean)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public EventTriggerBinding(Object triggerBean, String eventName)

  - ### Method Detail

    - #### @Override
      public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

    - #### public String getEventName()

    - #### public Object getTriggerBean()

    - #### public void setEventName(String eventName)

    - #### public void setTriggerBean(Object triggerBean)